[cairo-commit] autogen.sh src/Makefile.am
Behdad Esfahbod
behdad at kemper.freedesktop.org
Wed Jun 21 16:57:48 PDT 2006
autogen.sh | 2 +-
src/Makefile.am | 6 ++++++
2 files changed, 7 insertions(+), 1 deletion(-)
New commits:
diff-tree 83a8a50735746a4591c3bcc1aaa46fb7a0f87224 (from f5ee9557c3dc7bc72098cd08698f147ed685ccb2)
Author: Behdad Esfahbod <behdad at behdad.org>
Date: Wed Jun 21 19:57:40 2006 -0400
Pass --cache-file=config.cache and --disable-static to configure from
autogen.sh.
diff --git a/autogen.sh b/autogen.sh
index 57bf601..771090f 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -170,4 +170,4 @@ do_cmd $AUTOCONF
cd $ORIGDIR || exit 1
-do_cmd $srcdir/configure --enable-maintainer-mode --enable-gtk-doc ${1+"$@"} && echo "Now type \`make' to compile" || exit 1
+do_cmd $srcdir/configure --cache-file=config.cache --disable-static --enable-maintainer-mode --enable-gtk-doc ${1+"$@"} && echo "Now type \`make' to compile" || exit 1
diff --git a/src/Makefile.am b/src/Makefile.am
index ab53aff..2f1c8e0 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -238,6 +238,12 @@ DISTCLEANFILES = $(backend_pkgconfigs)
EXTRA_DIST = cairo-backend.pc.in
+$(top_builddir)/config.h: $(top_srcdir)/config.h.in
+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) config.h
+
+cairo-features.h:
+ cd $(top_builddir) && ./config.status src/cairo-features.h
+
cairo.def: $(cairo_win32_api_headers)
(echo EXPORTS; \
cat $(cairo_win32_api_headers) | \
More information about the cairo-commit
mailing list